﻿#ifndef INC_EUTOOLTYPES_H
#define INC_EUTOOLTYPES_H

//-----------------------------------------------------------------------------
/*!
\file EuToolTypes.h
\brief
\if english
  For each library, here 'EuTools' there is a type file.

  This file is usually included by every header from the library.
\endif

\if german
  Für jede Bibliothek, hier 'EuTools' gibt es eine Typen-Datei.

  Es werden microsoftspezifischer Export bzw. Import Definitionen vorgenommen

  Diese Datei wird in der Regel von jeder Header aus der Bibliothek eingebunden.
\endif
\author Helmut Jakoby
\copyright © 2010 Helmut Jakoby
<!-- @@TermsOfLicense BEGIN -->

<b>Terms of License</b>
The source code in this file is licensed.

SPDX-License-Identifier:  LicenseRef-Helmut-Jakoby-Commercial-License
                          OR LicenseRef-Helmut-Jakoby-Adapted-Prosperity-Public-License
                          OR AGPL-3.0-or-later

<b>Helmut-Jakoby-Commercial-License</b><br>
For OEMs (Original Equipment Manufacturers), ISVs (Independent Software Vendors),
VARs (Value Added Resellers) and other distributors who combine commercially licensed
software with <b>Software © by Helmut Jakoby</b> and distribute it as such or in
conjunction with another product and do not wish to publish the source code of the
commercially licensed software under any other license that may be offered, a commercial
license is available for this purpose. Please review the following information to ensure
the Commercial-License requirements will be
met: https://globalobjects.de/hjacomlicense_en.html .

<b>Helmut-Jakoby-Adapted-Prosperity-Public-License</b><br>
For developers of free, non-commercial software applications who want to combine and
distribute their application with <b>Software © by Helmut Jakoby</b>, this license is
a good option. Please review the following information to ensure the
Adapted-Prosperity-Public-License requirements will be
met: https://globalobjects.de/hjappllicense_en.html .

<b>GNU Affero General Public License Usage</b><br>
You can redistribute it and/or modify it under the terms of the GNU Affero General
Public License as published by the Free Software Foundation; either version 3 of
the License, or (at your option) any later version. Please review the following
information to ensure the GNU Affero General Public License requirements will be
met: https://www.gnu.org/licenses/agpl-3.0.en.html .

<!-- @@TermsOfLicense END -->
*/
//-----------------------------------------------------------------------------
#include "EuToolErrors.h"
//-----------------------------------------------------------------------------
/*!
  \if english
    Export specifikation.
  \endif
    
  \if german
    Exportr Spezifikation.
  \endif
*/
#if defined(_MSC_VER) || defined(__BORLANDC__) || defined(__MINGW32__) || defined(__MINGW64__)
  #ifdef __TOOL_EXPORT_DLL
    #define __tool_export_dll __declspec(dllexport)
    #if defined(_MSC_VER)
      #pragma message ( "Benutze Export defines fuer __tool_export_dll" )
    #endif
  #else
    #define __tool_export_dll  //__declspec(dllimport)
    #if defined(_MSC_VER)
      #pragma message ( "Benutze Import defines fuer __tool_export_dll" )
    #endif
  #endif
#elif defined(__GNUC__)
  #ifdef __TOOL_EXPORT_DLL
    #define __tool_export_dll //__attribute__ ((visibility("default")))
  #else
    #define __tool_export_dll //__attribute__ ((visibility ("hidden")))
  #endif
#endif
//-----------------------------------------------------------------------------
#endif
